#! /usr/bin/env bash
# Args: <config-system> <arch> <version> <repo>

CONFIG_DIR="`dirname \"$0\"`" &&
"$CONFIG_DIR/$1/gen_script.sh" "$2" "$3" tmp.yaml &&
HASH="`\"\$CONFIG_DIR/hash_modules.py\" tmp.yaml \"\$2\" | sed -n '1p'`" &&
flatpak-builder --force-clean "--arch=$2" --gpg-sign=winebarrels@marko10-000.de "--repo=$4" -s "WB_HASH='${HASH}'" build tmp.yaml
