#! /usr/bin/env bash

list=$(ostree refs --repo "$1" | sort)
counts=$(echo "$list" | wc -l)
index=1
for i in $list
do
	echo "Move($index/$counts): $i"
	index=$(expr $index + 1)
	flatpak build-commit-from --src-repo "$1" --src-ref "$i" --disable-fsync --no-update-summary --gpg-sign=winebarrels@marko10-000.de "$2" "$i"
done
